% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/homomorpheR.R
\docType{package}
\name{homomorpheR}
\alias{homomorpheR-package}
\alias{homomorpheR}
\title{homomorpheR: Homomorphic computations in R}
\description{
\code{homomorpheR} is a start at a rudimentary package for
homomorphic computations in R. The goal is to collect homomorphic
encryption schemes in this package for privacy-preserving
distributed computations; for example, applications of the sort
immplemented in package \code{distcomp}.
}
\details{
At the moment, only one scheme is implemented, the Paillier
scheme. The current implementation makes no pretense at efficiency
and also uses direct translations of other implementations,
particularly the one in Javascript.

For a quick overview of the features, refer to the vignettes in this package.
}
\examples{
keys <- PaillierKeyPair$new(1024) # Generate new key pair
encryptAndDecrypt <- function(x) keys$getPrivateKey()$decrypt(keys$pubkey$encrypt(x))
a <- gmp::as.bigz(1273849)
identical(a + 10L, encryptAndDecrypt(a+10L))
x <- lapply(1:100, function(x) random.bigz(nBits = 512))
edx <- lapply(x, encryptAndDecrypt)
identical(x, edx)
}
\references{
\href{https://en.wikipedia.org/wiki/Homomorphic_encryption}{Homomorphic Encryyption}

\href{https://mhe.github.io/jspaillier/}{Paillier Encryption}
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/bnaras/homomorpheR}
  \item Report bugs at \url{https://github.com/bnaras/homomorpheR/issues}
}

}
\author{
\strong{Maintainer}: Balasubramanian Narasimhan \email{naras@stat.Stanford.EDU}

}
